> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a request to move inventory



## OpenAPI

````yaml /openapi.json post /api/v1/Inventories/Move
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Inventories/Move:
    post:
      tags:
        - Inventories
      summary: Creates a request to move inventory
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InventoryMoveRequest'
        required: true
      responses:
        '200':
          description: Returns the list of inventory request results
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
components:
  schemas:
    InventoryMoveRequest:
      required:
        - subInventoryCode
        - supplierId
        - warehouseCode
      type: object
      properties:
        supplierId:
          minLength: 2
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
        warehouseCode:
          minLength: 1
          type: string
          description: "The warehouse (Code)  For example, \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
        subInventoryCode:
          minLength: 1
          type: string
          description: From Sub Inventory Code
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/InventoryMoveLineItem'
          description: The SKUs to move
          nullable: true
      additionalProperties: false
      description: A request to move inventory
    InventoryMoveLineItem:
      required:
        - sku
        - subInventoryCode
      type: object
      properties:
        quantity:
          type: integer
          description: How many to move of this SKU
          format: int32
        subInventoryCode:
          minLength: 1
          type: string
          description: To Sub Inventory Code
        sku:
          minLength: 1
          type: string
          description: The SKU to move
      additionalProperties: false
      description: A move request's items to move
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````